Update a form
curl --request PATCH \
--url https://api.replo.app/v1/forms/{formId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Replo-Api-Version: <replo-api-version>' \
--data '
{
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"fields": [
{
"type": "text",
"key": "<string>",
"label": "<string>",
"required": true,
"placeholder": "<string>"
}
],
"notifyEmails": [
"jsmith@example.com"
],
"uniqueFieldKeys": [
"<string>"
],
"destinations": {
"klaviyoMetricName": "<string>",
"webhookUrl": "<string>"
},
"closesAt": "2023-11-07T05:31:56Z",
"responseLimit": 500000,
"successMessage": "<string>"
}
'import requests
url = "https://api.replo.app/v1/forms/{formId}"
payload = {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"fields": [
{
"type": "text",
"key": "<string>",
"label": "<string>",
"required": True,
"placeholder": "<string>"
}
],
"notifyEmails": ["jsmith@example.com"],
"uniqueFieldKeys": ["<string>"],
"destinations": {
"klaviyoMetricName": "<string>",
"webhookUrl": "<string>"
},
"closesAt": "2023-11-07T05:31:56Z",
"responseLimit": 500000,
"successMessage": "<string>"
}
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Replo-Api-Version': '<replo-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
fields: [
{
type: 'text',
key: '<string>',
label: '<string>',
required: true,
placeholder: '<string>'
}
],
notifyEmails: ['jsmith@example.com'],
uniqueFieldKeys: ['<string>'],
destinations: {klaviyoMetricName: '<string>', webhookUrl: '<string>'},
closesAt: '2023-11-07T05:31:56Z',
responseLimit: 500000,
successMessage: '<string>'
})
};
fetch('https://api.replo.app/v1/forms/{formId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replo.app/v1/forms/{formId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'fields' => [
[
'type' => 'text',
'key' => '<string>',
'label' => '<string>',
'required' => true,
'placeholder' => '<string>'
]
],
'notifyEmails' => [
'jsmith@example.com'
],
'uniqueFieldKeys' => [
'<string>'
],
'destinations' => [
'klaviyoMetricName' => '<string>',
'webhookUrl' => '<string>'
],
'closesAt' => '2023-11-07T05:31:56Z',
'responseLimit' => 500000,
'successMessage' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Replo-Api-Version: <replo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.replo.app/v1/forms/{formId}"
payload := strings.NewReader("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"fields\": [\n {\n \"type\": \"text\",\n \"key\": \"<string>\",\n \"label\": \"<string>\",\n \"required\": true,\n \"placeholder\": \"<string>\"\n }\n ],\n \"notifyEmails\": [\n \"jsmith@example.com\"\n ],\n \"uniqueFieldKeys\": [\n \"<string>\"\n ],\n \"destinations\": {\n \"klaviyoMetricName\": \"<string>\",\n \"webhookUrl\": \"<string>\"\n },\n \"closesAt\": \"2023-11-07T05:31:56Z\",\n \"responseLimit\": 500000,\n \"successMessage\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Replo-Api-Version", "<replo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.replo.app/v1/forms/{formId}")
.header("Replo-Api-Version", "<replo-api-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"fields\": [\n {\n \"type\": \"text\",\n \"key\": \"<string>\",\n \"label\": \"<string>\",\n \"required\": true,\n \"placeholder\": \"<string>\"\n }\n ],\n \"notifyEmails\": [\n \"jsmith@example.com\"\n ],\n \"uniqueFieldKeys\": [\n \"<string>\"\n ],\n \"destinations\": {\n \"klaviyoMetricName\": \"<string>\",\n \"webhookUrl\": \"<string>\"\n },\n \"closesAt\": \"2023-11-07T05:31:56Z\",\n \"responseLimit\": 500000,\n \"successMessage\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replo.app/v1/forms/{formId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Replo-Api-Version"] = '<replo-api-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"fields\": [\n {\n \"type\": \"text\",\n \"key\": \"<string>\",\n \"label\": \"<string>\",\n \"required\": true,\n \"placeholder\": \"<string>\"\n }\n ],\n \"notifyEmails\": [\n \"jsmith@example.com\"\n ],\n \"uniqueFieldKeys\": [\n \"<string>\"\n ],\n \"destinations\": {\n \"klaviyoMetricName\": \"<string>\",\n \"webhookUrl\": \"<string>\"\n },\n \"closesAt\": \"2023-11-07T05:31:56Z\",\n \"responseLimit\": 500000,\n \"successMessage\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"object": "form",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"status": "draft",
"fields": [
{
"type": "text",
"key": "<string>",
"label": "<string>",
"required": true,
"placeholder": "<string>",
"showIf": {
"fieldKey": "<string>",
"anyOf": [
"<string>"
]
}
}
],
"notifyEmails": [
"<string>"
],
"uniqueFieldKeys": [
"<string>"
],
"closesAt": "<string>",
"responseLimit": 123,
"successMessage": "<string>",
"destinations": {
"webhookSecretPreview": "<string>",
"klaviyoMetricName": "<string>",
"webhookUrl": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}Forms
Update a form
Beta — this endpoint may change before general availability.
PATCH
/
forms
/
{formId}
Update a form
curl --request PATCH \
--url https://api.replo.app/v1/forms/{formId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Replo-Api-Version: <replo-api-version>' \
--data '
{
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"fields": [
{
"type": "text",
"key": "<string>",
"label": "<string>",
"required": true,
"placeholder": "<string>"
}
],
"notifyEmails": [
"jsmith@example.com"
],
"uniqueFieldKeys": [
"<string>"
],
"destinations": {
"klaviyoMetricName": "<string>",
"webhookUrl": "<string>"
},
"closesAt": "2023-11-07T05:31:56Z",
"responseLimit": 500000,
"successMessage": "<string>"
}
'import requests
url = "https://api.replo.app/v1/forms/{formId}"
payload = {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"fields": [
{
"type": "text",
"key": "<string>",
"label": "<string>",
"required": True,
"placeholder": "<string>"
}
],
"notifyEmails": ["jsmith@example.com"],
"uniqueFieldKeys": ["<string>"],
"destinations": {
"klaviyoMetricName": "<string>",
"webhookUrl": "<string>"
},
"closesAt": "2023-11-07T05:31:56Z",
"responseLimit": 500000,
"successMessage": "<string>"
}
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Replo-Api-Version': '<replo-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
fields: [
{
type: 'text',
key: '<string>',
label: '<string>',
required: true,
placeholder: '<string>'
}
],
notifyEmails: ['jsmith@example.com'],
uniqueFieldKeys: ['<string>'],
destinations: {klaviyoMetricName: '<string>', webhookUrl: '<string>'},
closesAt: '2023-11-07T05:31:56Z',
responseLimit: 500000,
successMessage: '<string>'
})
};
fetch('https://api.replo.app/v1/forms/{formId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replo.app/v1/forms/{formId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'fields' => [
[
'type' => 'text',
'key' => '<string>',
'label' => '<string>',
'required' => true,
'placeholder' => '<string>'
]
],
'notifyEmails' => [
'jsmith@example.com'
],
'uniqueFieldKeys' => [
'<string>'
],
'destinations' => [
'klaviyoMetricName' => '<string>',
'webhookUrl' => '<string>'
],
'closesAt' => '2023-11-07T05:31:56Z',
'responseLimit' => 500000,
'successMessage' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Replo-Api-Version: <replo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.replo.app/v1/forms/{formId}"
payload := strings.NewReader("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"fields\": [\n {\n \"type\": \"text\",\n \"key\": \"<string>\",\n \"label\": \"<string>\",\n \"required\": true,\n \"placeholder\": \"<string>\"\n }\n ],\n \"notifyEmails\": [\n \"jsmith@example.com\"\n ],\n \"uniqueFieldKeys\": [\n \"<string>\"\n ],\n \"destinations\": {\n \"klaviyoMetricName\": \"<string>\",\n \"webhookUrl\": \"<string>\"\n },\n \"closesAt\": \"2023-11-07T05:31:56Z\",\n \"responseLimit\": 500000,\n \"successMessage\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Replo-Api-Version", "<replo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.replo.app/v1/forms/{formId}")
.header("Replo-Api-Version", "<replo-api-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"fields\": [\n {\n \"type\": \"text\",\n \"key\": \"<string>\",\n \"label\": \"<string>\",\n \"required\": true,\n \"placeholder\": \"<string>\"\n }\n ],\n \"notifyEmails\": [\n \"jsmith@example.com\"\n ],\n \"uniqueFieldKeys\": [\n \"<string>\"\n ],\n \"destinations\": {\n \"klaviyoMetricName\": \"<string>\",\n \"webhookUrl\": \"<string>\"\n },\n \"closesAt\": \"2023-11-07T05:31:56Z\",\n \"responseLimit\": 500000,\n \"successMessage\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replo.app/v1/forms/{formId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Replo-Api-Version"] = '<replo-api-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"fields\": [\n {\n \"type\": \"text\",\n \"key\": \"<string>\",\n \"label\": \"<string>\",\n \"required\": true,\n \"placeholder\": \"<string>\"\n }\n ],\n \"notifyEmails\": [\n \"jsmith@example.com\"\n ],\n \"uniqueFieldKeys\": [\n \"<string>\"\n ],\n \"destinations\": {\n \"klaviyoMetricName\": \"<string>\",\n \"webhookUrl\": \"<string>\"\n },\n \"closesAt\": \"2023-11-07T05:31:56Z\",\n \"responseLimit\": 500000,\n \"successMessage\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"object": "form",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"status": "draft",
"fields": [
{
"type": "text",
"key": "<string>",
"label": "<string>",
"required": true,
"placeholder": "<string>",
"showIf": {
"fieldKey": "<string>",
"anyOf": [
"<string>"
]
}
}
],
"notifyEmails": [
"<string>"
],
"uniqueFieldKeys": [
"<string>"
],
"closesAt": "<string>",
"responseLimit": 123,
"successMessage": "<string>",
"destinations": {
"webhookSecretPreview": "<string>",
"klaviyoMetricName": "<string>",
"webhookUrl": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Headers
Body
application/json
Response
Update a form